Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# V4L2 munmap()

## Name

v4l2-munmap -- Unmap device memory

## Synopsis

    #include <unistd.h>
    #include <sys/mman.h>

``int munmap`(void *start, size_t length);`

## Arguments

`start`

  Address of the mapped buffer as returned by the `mmap()` function.

`length`

  Length of the mapped buffer. This must be the same value as given to `mmap()` and returned by the driver in the struct v4l2_buffer `length` field.

## Description

Unmaps a previously with the `mmap()` function mapped buffer and frees it, if possible.

## Return Value

On success `munmap()` returns 0, on failure -1 and the `errno` variable is set appropriately:

EINVAL

  The `start` or `length` is incorrect, or no buffers have been mapped yet.

Prev | Home | Next
V4L2 mmap() | Up | V4L2 open()